---
name: '🐛 Bug Report'
about: Report a reproducible bug or regression in this library.
---

# Bug

<!--
  Please provide a clear and concise description of what the bug is.
  Include screenshots or gifs if needed.
  Please test using the latest release of the library, as maybe your bug has been already fixed.
  If the library has multiple install methods, describe installation method (e.g., pod, not pod, with jetifier etc).

  **Please note that issues that do not follow the template may be closed.**
-->

## Environment info

<!--
  Run `react-native info` in your terminal and paste the results here. Also, include the *precise* version number of this library that you are using in the project
-->

`react-native info` output:

```bash
 // paste it here
```

Library version: x.x.x

## Steps To Reproduce

<!--
- You must provide a clear list of steps and code to reproduce the problem.
- Keep the code reproducing the bug as simple as possible, with the minimum amount of code required to reproduce the issue. See https://stackoverflow.com/help/mcve.
- Either re-create the bug using the repository's example app or link to a GitHub repository with code that reproduces the bug.
- Explain the steps we need to take to reproduce the issue:
-->

1.
2.
...

Describe what you expected to happen:

1.
2.

## Reproducible sample code

<!--
 Please add minimal runnable repro as explained above so that the bug can be tested in isolation.
-->
